mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

Use the enumeration to specify registry access rights when you create objects. To apply access rights to a registry key, first add objects to a object, then attach the object to the key using the method, or an appropriate overload of the method.

Specifies the access control rights that can be applied to registry objects.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  The right to change the access rules and audit rules associated with a registry key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  Reserved for system use.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  The right to create subkeys of a registry key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  The right to delete a registry key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  The right to list the subkeys of a registry key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  Same as .

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  The right to exert full control over a registry key, and to modify its access rules and audit rules.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  The right to request notification of changes on a registry key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  The right to query the name/value pairs in a registry key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  The right to query the name/value pairs in a registry key, to request notification of changes, to enumerate its subkeys, and to read its access rules and audit rules.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  The right to open and copy the access rules and audit rules for a registry key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  The right to create, delete, or set name/value pairs in a registry key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  The right to change the owner of a registry key.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.RegistryRights

  The right to create, delete, and set the name/value pairs in a registry key, to create or delete subkeys, to request notification of changes, to enumerate its subkeys, and to read its access rules and audit rules.